#!/bin/sh

DOTFILES="$HOME/dotfiles"

# Install plugin manager for Neovim, if it doesn't exist
VIM_PLUG_SRC="https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim"
VIM_PLUG_DST="$HOME/.local/share/nvim/site/autoload/plug.vim"
if [ ! -f "$VIM_PLUG_DST" ]; then
	echo "Downloading plug.vim ..."
	curl -fsSL -o "$VIM_PLUG_DST" --create-dirs "$VIM_PLUG_SRC"
fi

# Add Homebrew-managed shells to system list
BREW_PREFIX=`brew --prefix`
grep -q "$BREW_PREFIX/bin/bash" /etc/shells || echo "$BREW_PREFIX/bin/bash" | sudo tee -a /etc/shells
grep -q "$BREW_PREFIX/bin/fish" /etc/shells || echo "$BREW_PREFIX/bin/fish" | sudo tee -a /etc/shells

# Make fish the default shell
sudo chsh -s "$BREW_PREFIX/bin/fish" `whoami`

# Install fzf keybindings
"$DOTFILES/install-fzf.sh"

# Install symlinks
"$DOTFILES/install-symlinks.sh"
